Menjalankan laporan akan memulai eksekusi template
Report
yang ada untuk menghasilkan data performa akun Kurasi Anda.
Panduan ini membahas cara membuat laporan yang menjelaskan performa akun Seleksi Anda dengan menggunakan Curation Partners API untuk menjalankan template Report.
Sebelum memulai
Sebelum melanjutkan, Anda harus menyelesaikan langkah-langkah berikut:
Mulai menjalankan laporan
Untuk menjalankan laporan yang ada, gunakan metode
curators.reports.run.
Contoh berikut membuat permintaan POST untuk memulai eksekusi laporan:
REST
Permintaan
curl --request POST \
'https://curationpartners.googleapis.com/v1/curators/ACCOUNT_ID/reports/123456789:run' \
--header 'Authorization: Bearer ACCESS_TOKEN' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{}' \
--compressed
Ganti kode berikut:
ACCOUNT_ID: ID akun Anda.ACCESS_TOKEN: token akses Anda.
Respons
{
"name": "curators/ACCOUNT_ID/reports/123456789/operations/10486370264",
"done": false,
"metadata": {
"@type": "type.googleapis.com/google.ads.curationpartners.v1.RunReportMetadata"
}
}
Java
/* * Copyright (c) 2026 Google LLC * * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except * in compliance with the License. You may obtain a copy of the License at * * http://www.apache.org/licenses/LICENSE-2.0 * * Unless required by applicable law or agreed to in writing, software distributed under the License * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express * or implied. See the License for the specific language governing permissions and limitations under * the License. */ package com.google.api.services.samples.curationpartners.v1.curators.reports; import com.google.api.services.curationpartners.v1.CurationPartners; import com.google.api.services.curationpartners.v1.model.Operation; import com.google.api.services.curationpartners.v1.model.RunReportRequest; import com.google.api.services.samples.curationpartners.v1.Utils; import java.io.IOException; import java.security.GeneralSecurityException; import net.sourceforge.argparse4j.ArgumentParsers; import net.sourceforge.argparse4j.inf.ArgumentParser; import net.sourceforge.argparse4j.inf.ArgumentParserException; import net.sourceforge.argparse4j.inf.Namespace; public class RunReport { /** * Executes the run operation for a report. * * @param curationPartnersClient the initialized Curation Partners API client. * @param accountId the account ID of the curator that created the report. * @param reportId the resource ID of the report to run. * @throws IOException if the API returns an error. */ public static void execute( CurationPartners curationPartnersClient, Long accountId, String reportId) throws IOException { String name = String.format("curators/%s/reports/%s", accountId, reportId); System.out.printf("Running report with name \"%s\".%n", name); RunReportRequest requestBody = new RunReportRequest(); // Run the specified report to start an asynchronous operation. Operation operation = curationPartnersClient .curators() .reports() .run(name, requestBody) .execute(); System.out.println("Successfully initiated report run operation:"); Utils.jsonPrettyPrint(operation); } /** * Creates and configures the ArgumentParser for this sample. * * @return the configured ArgumentParser. */ private static ArgumentParser createArgumentParser() { ArgumentParser parser = ArgumentParsers.newFor("RunReport") .build() .defaultHelp(true) .description("Runs a specified report asynchronously, returning an Operation " + "that can be used to track its progress."); // Required arguments. parser .addArgument("-a", "--account_id") .help("The account ID of the curator that created the report.") .required(true) .type(Long.class); parser .addArgument("-r", "--report_id") .help("The resource ID of the report to run.") .required(true); return parser; } public static void main(String[] args) { ArgumentParser parser = createArgumentParser(); Namespace parsedArgs = null; try { parsedArgs = parser.parseArgs(args); } catch (ArgumentParserException ex) { parser.handleError(ex); System.exit(1); } CurationPartners client = null; try { client = Utils.getCurationPartnersClient(); } catch (IOException ex) { System.out.printf("Unable to create Curation Partners API service:%n%s", ex); System.out.println("Did you specify a valid path to a service account key file?"); System.exit(1); } catch (GeneralSecurityException ex) { System.out.printf("Unable to establish secure HttpTransport:%n%s", ex); System.exit(1); } try { execute( client, parsedArgs.getLong("account_id"), parsedArgs.getString("report_id")); } catch (IOException ex) { System.out.printf("Curation Partners API returned error response:%n%s", ex); System.exit(1); } } }
Menjalankan laporan adalah operasi yang berjalan lama dan asinkron. Saat Anda memanggil metode
run, Curation Partners API akan merespons dengan resource
Operation. Kolom name operasi mengidentifikasi operasi run dan memiliki
format berikut:
curators/ACCOUNT_ID/reports/REPORT_ID/operations/OPERATION_ID
Objek Operation yang ditampilkan berisi hal berikut:
name: nama yang ditetapkan server untuk operasi yang berjalan lama.metadata: informasi progres khusus layanan opsional. Kolommetadatamungkin tidak diisi dalam objekOperationyang Anda terima dalam responscurators.reports.run.
Setelah memulai eksekusi laporan, Anda tidak dapat melihat hasil laporan hingga kolom done operasi memiliki nilai true. Waktu yang diperlukan untuk menyelesaikan laporan yang dijalankan bervariasi berdasarkan kompleksitas laporan.
Langkah berikutnya
- Pelajari cara meminta dan melihat laporan yang telah selesai dengan Curation Partners API.
- Pelajari cara melihat laporan yang ada dengan Curation Partners API.